<?php

if (!defined('PARENT')) { exit; }

/* SOCIAL
------------------------------------------*/

?>
<script>
//<![CDATA[
function mswSetLinkProtocol(pcl, ky) {
  jQuery('input[name="fm[protocol][' + ky + ']"]').val(pcl);
  switch(pcl) {
    case 'http':
      jQuery('.protarea' + ky + ' li:first-child').addClass('active');
      jQuery('.protarea' + ky + ' li:nth-child(2)').removeClass('active');
      break;
    default:
      jQuery('.protarea' + ky + ' li:nth-child(2)').addClass('active');
      jQuery('.protarea' + ky + ' li:first-child').removeClass('active');
      break;
  }
  jQuery('span[class="btn_protocol_' + ky + '"]').html(pcl);
}
function mswLnk(obj) {
  var btn = jQuery('button[class="' + jQuery(obj).attr('class') + '"] i').attr('class');
  var cnt = jQuery('#two div[class="form-group"]').length;
  var faw = jQuery('input[name="fawe"]').val();
  var fau = jQuery('input[name="flink"]').val();
  if (faw == '') {
    jQuery('input[name="fawe"]').focus();
    return false;
  } else if (fau == '') {
    jQuery('input[name="flink"]').focus();
    return false;
  } else {
    jQuery('button[class="' + jQuery(obj).attr('class') + '"] i').attr('class', 'fa fa-circle-o-notch fa-fw fa-spin');
    jQuery(function() {
      jQuery.post('index.php?ajax-ops=social_link_box', { 
        name : faw,
        link : fau
      }, function(data) {
        jQuery('button[class="' + jQuery(obj).attr('class') + '"] i').attr('class', btn);
        if (data['status'] == 'ok') {
          if (cnt > 0) {
            jQuery('#two div[class="form-group"]').last().after(data['html']);
          } else {
            jQuery('#two .panel-body .bxs').html(data['html']);
          }
          jQuery('input[name="fawe"]').val('');
          jQuery('input[name="flink"]').val('');
        } else {
          mswDialog(data['txt'][0], data['txt'][1], data['status']);
        }
     }, 'json'); 
    });
  }
  return false;
}
//]]>
</script>